Stackable
Stackable::isRunning
Stackable
PHP Manual

# Stackable::chunk

(PECL pthreads >= 0.45)

Stackable::chunk — Manipulation

### Description

final public boolean Stackable::chunk ( long `$size` , boolean `$preserve` )

Fetches a chunk of the objects member table of the given size, optionally preserving keys

### Parameters

`size`

  The number of items to fetch

`preserve`

  Preserve the keys of members, by default false

### Return Values

An array of items from the objects member table

Stackable
Stackable::isRunning
Stackable
PHP Manual